Subject: Re: accessing immap_t * variable in mpc8260

From: Dan Malek <[email-masked]>
Date: Thu, 13 Mar 2003 10:30:21 -0500

Omanakuttan wrote:

> I am confused at this point, that how can kernel code access a physical
> address as if it were virtual address ? how does the page frame -> page
> conversion (and vice versa) happens on this front?

There are some kernel address spaces that are mapped 1:1 virtual
to physical, that is, the virtual address matches the physical one.
Sometimes it is for convenience, sometimes it just works that way.
Sometimes it is because we need to access a space with the MMU
disabled and it is easier this way.

The IMMR is one such space that is mapped this way.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/